Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # channel_mapping_type< planar_pixel_reference< ChannelReference, ColorSpace > > Struct Template Reference [planar_pixel_reference] `#include <planar_pixel_reference.hpp>` List of all members. ## Detailed Description ### template<typename ChannelReference, typename ColorSpace> struct boost::gil::channel_mapping_type< planar_pixel_reference< ChannelReference, ColorSpace > > Specifies the color space type of a planar pixel reference. Required by PixelBasedConcept.
## Public Types
typedef layout< ColorSpace >::channel_mapping_t | type
The documentation for this struct was generated from the following file: planar_pixel_reference.hpp